<template>
    <el-form
        :model="form"
        label-width="100px"
        :disabled="disabled"
        size="small"
    >
        <el-form-item label="技术负责人">
            <el-select 
                v-model="form.technicalDirector" 
                placeholder="请选择" 
                style="width: 100%"
            >
                <el-option
                    v-for="(item, index) in userList"
                    :key="index"
                    :label="item.name"
                    :value="item.id"
                ></el-option>
            </el-select>
        </el-form-item>
        <!-- <el-form-item label="审批">
            <el-input 
                type="textarea"
                :rows="2" 
                placeholder="请输入"
            ></el-input>
        </el-form-item> -->
        <el-form-item v-if="!disabled" style="text-align: right;">
            <el-button size="small" type="danger" @click="close">驳回</el-button>
            <el-button size="small" type="primary" @click="submit">提交</el-button>
        </el-form-item>
    </el-form>
</template>
<script>
export default {
    props: {
        userList: {
            type: Array,
            default: () => {
                return []
            }
        },
        approveForm: {
            type: Object,
            default: {}
        },
        isEdit: {
            type: Boolean,
            default: false
        },
        disabled: {
            type: Boolean,
            default: false
        }
    },
    computed: {
        form: {
            get() {
                return this.approveForm
            },
            set(val) {
                this.$emit('approveForm', val)
            }
        }
    },
    data() {
        return {
          
        }
    },
    methods: {
        submit() {
            this.$emit('submit', 2)
        },
        /**
         * @desc 驳回
         */
        close() {
            this.$emit('close', 2)
        }
    }
}
</script>